services:
    # Bundle Provider
    visualmedia.lisa.provider.bundle:
        class: VisualMedia\LisaBundle\Service\BundleProvider
        public: true
        autowire: true
        arguments:
            $elements: '%lisa.bundles%'

    VisualMedia\LisaBundle\Service\BundleProvider:
        alias: visualmedia.lisa.provider.bundle
        public: true

    # Module Provider
    visualmedia.lisa.provider.module:
        class: VisualMedia\LisaBundle\Service\ModuleProvider
        public: true
        autowire: true
        arguments:
            $elements: '%lisa.modules%'

    VisualMedia\LisaBundle\Service\ModuleProvider:
        alias: visualmedia.lisa.provider.module
        public: true

    # Menu Provider
    visualmedia.lisa.menu_provider:
        class: VisualMedia\LisaBundle\Service\MenuProvider
        public: true
        autowire: true

    VisualMedia\LisaBundle\Service\MenuProvider:
        alias: visualmedia.lisa.menu_provider
        public: true

    # Factory Provider
    visualmedia.lisa.factory_provider:
        class: VisualMedia\LisaBundle\Service\FactoryProvider
        public: true
        autowire: true

    VisualMedia\LisaBundle\Service\FactoryProvider:
        alias: visualmedia.lisa.factory_provider
        public: true

    # Editor Widget Provider
    visualmedia.lisa.editor_widget_provider:
        class: VisualMedia\LisaBundle\Service\EditorWidgetProvider
        public: true
        autowire: true

    VisualMedia\LisaBundle\Service\EditorWidgetProvider:
        alias: visualmedia.lisa.editor_widget_provider
        public: true

    # Setting Provider
    visualmedia.lisa.setting_provider:
        class: VisualMedia\LisaBundle\Service\SettingProvider
        public: true
        autowire: true

    VisualMedia\LisaBundle\Service\SettingProvider:
        alias: visualmedia.lisa.setting_provider
        public: true

    # DataTable Filter Provider
    visualmedia.lisa.datatable_filter_provider:
        class: VisualMedia\LisaBundle\Service\DataTableFilterProvider
        public: true
        autowire: true

    VisualMedia\LisaBundle\Service\DataTableFilterProvider:
        alias: visualmedia.lisa.datatable_filter_provider
        public: true

    # Bulk Provider
    visualmedia.lisa.bulk_provider:
        class: VisualMedia\LisaBundle\Service\BulkProvider
        public: true
        autowire: true

    VisualMedia\LisaBundle\Service\BulkProvider:
        alias: visualmedia.lisa.bulk_provider
        public: true
